#include <iostream>
int n,m,a[10000][10000]={};
int min1=-1;
int t[10000];

using namespace std;

void proveri()
{
    int velika_suma=0;
    for(int i=1;i<=m;i++){
        int suma1=0,suma2=0;
        for(int j=1;j<=n;j++)
        {
            if(a[j][i]==1)suma1++;
            else
                suma2++;
        }
        velika_suma+=suma1*suma2;
    }
    if(min1==(-1) || velika_suma<min1)min1=velika_suma;


}
void f(int v)
{
    if(v>n){proveri();return;

    }
    else
    {

            for(int j=1;j<=t[v];j++)
            a[v][j]=1;
        f(v+1);
        for(int j=1;j<=t[v];j++)
            a[v][j]=0;
        for(int j=t[v]+1;j<=m;j++)
            a[v][j]=1;
            f(v+1);
            for(int j=t[v]+1;j<=m;j++)
            a[v][j]=0;

    }
}

int main()
{
    scanf("%d%d",&n,&m);
    for(int i=1;i<=n;i++)
        scanf("%d",&t[i]);
    f(1);
    printf("%d",min1);

    return 0;
}